de.caff.generics.handler

## Class FilteringLoopItemHandler<T>

- java.lang.Object
- - de.caff.generics.handler.DeletingLoopItemHandler<T,T>
  - - de.caff.generics.handler.FilteringLoopItemHandler<T>

- All Implemented Interfaces:
    LoopHandler, LoopItemHandler<T>

      public abstract class FilteringLoopItemHandler<T>
      extends DeletingLoopItemHandler<T,T>

  A converting loop item handler which filters the converted items. You should prefer using one of `Types`' filter methods instead of this class.
  Author:
    Rammi
  See Also:
    `ConvertingLoopItemHandler`, `DeletingLoopItemHandler`, `MultiConvertingLoopItemHandler`, `ConvertingFragileLoopItemHandler`, `DeletingFragileLoopItemHandler`, `MultiConvertingFragileLoopItemHandler`

- - ### Field Summary

    - ### Fields inherited from class de.caff.generics.handler.DeletingLoopItemHandler

      `deleteMark, typeConverter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilteringLoopItemHandler(java.util.function.Predicate<T> checker)` Constructor.
    `FilteringLoopItemHandler(java.util.function.Predicate<T> checker, T deleteMark)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class de.caff.generics.handler.DeletingLoopItemHandler

      `afterFinish, beforeStart, handle, handleConverted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilteringLoopItemHandler

          public FilteringLoopItemHandler(@NotNull
                                          java.util.function.Predicate<T> checker,
                                          @Nullable
                                          T deleteMark)

      Constructor.
      Parameters:
        `checker` - checker to use for filtering
        `deleteMark` - delete mark

    - #### FilteringLoopItemHandler

          public FilteringLoopItemHandler(@NotNull
                                          java.util.function.Predicate<T> checker)

      Constructor. This uses `null` as delete mark.
      Parameters:
        `checker` - checker to use for filtering